×

Discussion Board

Results 1 to 14 of 14
  1. #1
    (Retired) Nokia Developer Admin.
    Join Date
    Jan 2006
    Location
    Michigan
    Posts
    4,664

    S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    The S60 3rd Edition, Feature Pack 2 for C++ SDK Beta went live on Forum Nokia October 9th, 2007 and that included a Web Runtime (WRT) testing environment. Note, this is a beta version, but the included WRT engine is close to final and developers are encouraged to use it. See the Tools and SDK’s: Nokia Tools web page

    Additionally, a number of docs went up including
    - Introducing Web Run-Time
    - Getting Started with Nokia web Widget development
    - Web Run-Time API Reference
    - Porting Apple Dashboard widgets to S60

    The getting started and the Porting guides include example widgets.
    See http://www.forum.nokia.com/main/reso...ion/index.html

    Ron

  2. #2
    Registered User
    Join Date
    Apr 2007
    Posts
    14

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    Hi,

    I had installed the S60 3rd Edition, FP2, SDK Beta, but was unable to install the example file. Anyone have any idea how to resolve this?

    The following error msg appears,
    "Unable to install.
    Feature not supported."

    Last edited by louischua; 2007-10-24 at 10:26.

  3. #3
    Registered User
    Join Date
    Jul 2007
    Posts
    8

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    Hi,


    What is the file that you're trying to install? Have you changed it?
    Just for sure, are you using the right SDK and emulator?

    A bit hard to know what might be the problem, but here are some guides:
    - A widget package should have extension "wgz", for example example.wgz .
    - A widget package (a zip file) should contain also a directory not only files.
    - You cannot directly install widgets that are designed for other widget engines, such as Apple's Dashboard or previous version of Web Run-Time (that was included in the MIDP release).

    Hope, you get it working.

  4. #4
    Registered User
    Join Date
    Apr 2007
    Posts
    14

    Unhappy Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    Hi,

    I'm using the example in "Getting_Started_with_Nokia_Web_Widget_Development_v1_0_en.zip". Basically, rename the example.zip in it to Horoscope.wgz and placed it in C:\Symbian\9.3\S60_3rd_FP2_Beta\epoc32\winscw\c\Data\Others as explained inside the "Getting_Started_with_Nokia_Web_Widget_Development_v1_0_en.pdf".

    The SDK used is S60 3rd Edition, FP 2 , SDK Beta (S60_3rd_Ed_SDK_FP2_Beta_b.zip).

    I agree it is a bit hard to know what is the problem with such a generic error message. I'm not even sure where to start troubleshoot!

  5. #5
    Registered User
    Join Date
    Jul 2007
    Posts
    8

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    Ok. Now I might know what's the problem.

    You have extract that example.zip first, because it contains two folders:
    Editplus_template and Horoscope. The Editplus_template folder should not be in the widget, it should contain only one folder.

    Then you can zip that Horoscope folder and change it's extension. After that it should work.

  6. #6
    Registered User
    Join Date
    Apr 2007
    Posts
    14

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    Oh yes! It works now!
    Thanks a bunch!

  7. #7
    Nokia Developer Moderator
    Join Date
    Nov 2006
    Location
    Helsinki
    Posts
    413

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    There are now a couple of WRT enabled devices (1xN95 + N95 8GB with special firmware version) in our RDA service. Those are not final builds (= may have underlying issues/missing features), but you can use them for beta testing.

    http://wiki.forum.nokia.com/index.php/RDA
    Last edited by bloodredsky; 2007-11-05 at 13:52.

  8. #8
    Registered User
    Join Date
    Apr 2007
    Posts
    14

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    Quote Originally Posted by bloodredsky View Post
    There are now a couple of WRT enabled devices (1xN95 + N95 8GB with special firmware version) in our RDA service. Those are not final builds yet (= may have bugs), but you can use them for beta testing.

    http://wiki.forum.nokia.com/index.php/RDA
    That's great news.

    Is it possible to upgrade my existing N95 + N95 8GB with the special firmware now?

  9. #9
    Nokia Developer Moderator
    Join Date
    Nov 2006
    Location
    Helsinki
    Posts
    413

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    Is it possible to upgrade my existing N95 + N95 8GB with the special firmware now
    No, these are not otherwise publically available. They are special builds that we made available for developer support.
    Last edited by bloodredsky; 2007-11-05 at 13:53.

  10. #10
    Registered User
    Join Date
    Sep 2008
    Posts
    1

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    hello...

    i tried running the example given in the tutorial.
    i had already separated the horoscope folder, rezipped and changed file extension but still get the "not supported feature" and Installer ALLOC:4472cbd00 messages.

    i'm using the S60 3rd Edition FP2 SDK v1.1.

    Is it because of the SDK?

    help please. am sorry if im asking a stupid question.

    thanks.

  11. #11
    Registered User
    Join Date
    Jun 2006
    Location
    India
    Posts
    1,043

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    Quote Originally Posted by kibord View Post
    hello...

    i tried running the example given in the tutorial.
    i had already separated the horoscope folder, rezipped and changed file extension but still get the "not supported feature" and Installer ALLOC:4472cbd00 messages.

    i'm using the S60 3rd Edition FP2 SDK v1.1.

    Is it because of the SDK?

    help please. am sorry if im asking a stupid question.

    thanks.
    Hi,
    I would suggest you to start a new thread for this.Also mention which example are you trying to run and debug it to find the line which is giving you this error.
    Maximus
    S60 Developer
    Impossible is nothing

  12. #12
    Registered User
    Join Date
    Nov 2008
    Posts
    7

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    I need mobile emulators,which are php configured.Please provide me as early as possble

  13. #13
    Nokia Developer Champion
    Join Date
    Nov 2007
    Location
    Rome, Italy
    Posts
    2,406

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    Hi naachi,

    and welcome to Forum Nokia Discussion Boards!

    For new questions, try opening new threads, since It'll be easier to identify and reply to your questions. Also, try specifying a bit more your question: what do you mean by "php configured" emulators? Web Runtime itself is not strictly related to PHP (or any other server-side technologies), but can communicate with your server with simple HTTP/Ajax calls.

    Pit

  14. #14
    Regular Contributor
    Join Date
    Jan 2009
    Posts
    52

    Re: S60 3rd Edition, FP 2 , SDK Beta Includes Web Runtime

    Is it possible to connect to Internet from SDK 3rd edition FP1?? Or i need to download FP2??? I want to use it for a Mobile Web Server application!!

    Thanks!

Similar Threads

  1. S60 3rd Edition SDK: Code bloat from AknsConstants.h
    By mgroeber9110 in forum Symbian
    Replies: 6
    Last Post: 2011-02-04, 10:41
  2. Carbide.c++ and installation of Nokia S60 3rd Edition SDK
    By mitesh_thakkar in forum Symbian Tools & SDKs
    Replies: 4
    Last Post: 2007-04-19, 14:20
  3. Replies: 4
    Last Post: 2007-03-02, 00:15
  4. Where is SDK for S60 1st Edition?
    By MDWPPC in forum Mobile Java Tools & SDKs
    Replies: 5
    Last Post: 2007-02-08, 07:04

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×